Subject: Re: [PWE3] Comment on <draft-ietf-pwe3-redundancy-bit-02.txt>

From: [email-masked]
Date: Thu, 31 Dec 2009 16:54:47 +0800

Hi Mustapha:
For the second case, it is suitable to use "MUST" to describe "forward the 
MAC flush message to have the nodes in the VPLS mesh clear all FIB entries 
except those they learn from this node."
I think it should use "may". The alternative method is to use the 
mechanism described in <draft-ietf-l2vpn-vpls-ldp-mac-opt-00>, instead of 
clearing all FIB entries except those learned from the PW associated with 
this signaling session over which MAC flush message is received.

Best Regards
Lizhong Jin 

----------------------------------------------------------------------

Message: 1
Date: Tue, 29 Dec 2009 21:19:34 -0600
From: "AISSAOUI Mustapha" <[email-masked]>
Subject: Re: [PWE3] Comment on <
                 draft-ietf-pwe3-redundancy-bit-02.txt>
To: "Veer Gorla" <[email-masked]>, <[email-masked]>
Message-ID:
 <[email-masked]>
 
Content-Type: text/plain; charset="us-ascii"

Hi Veer,
sorry for the late reply.
 
Both behaviours are actually possible. 
 
The case described in the draft is when the PE-rs nodes are configured
to not forward the MAC flush message received from the MTU node over the
newly active PW. In this case, it is up to the PE-rs node which had its
PW transition to Standby state to generate a MAC flush to have the nodes
in the VPLS mesh clear FIB entries they learned from this node.
 
The case you describe is when the PE-rs nodes are configured to forward
the MAC flush message received from the MTU node over the newly active
PW. In this case, the PE-rs node which had its PW transition to Active
state must forward the MAC flush message to have the nodes in the VPLS
mesh clear all FIB entries except those they learn from this node.

Let me know if you agree with this and I will add this in the next
revision of the draft.
 
Regards,
Mustapha.

________________________________

                 From: [email-masked] 
[mailto:[email-masked]] On
Behalf Of Veer Gorla
                 Sent: Wednesday, December 09, 2009 5:54 PM
                 To: [email-masked]
                 Subject: [PWE3] Comment on <
draft-ietf-pwe3-redundancy-bit-02.txt>

                 Hi,
                 The draft says
                 Sec  4.1 & 4.2 . Standby State... 
                 "If the PW is a spoke in H-VPLS, any MAC addresses 
learned via
the PW should be flushed when it transitions to Standby state. "
 
                 This statement seems like implying that   MAC flush must 
be sent
into the mesh by PE-rs node ( optionally)  inaddition to MTU-s node
based on configuration. 
                 I think  it is better for MAC flush to be triggered by 
newly
active PE-rs node when it is transition to Active State. This could
cover the case when the old-active
                 node goes down and it is unable to send out the flush.

                 Regards
                 Veer

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
This message has been scanned for viruses and Spam by ZTE Anti-Spam system.